﻿@using TooJaVile.Models
@{
    ViewBag.Title = "Puhkused";
}
<h2>@ViewBag.Title</h2>



<p>NImega ABOUT leht</p> @*KL natuke mängis siin*@

@*siia peaks tulema rippmenüü käsud*@
@*silumisemõttes, et näha, et õied numbrid tulevad controllerist*@
    @*<p>startdate @ViewBag.StartDate.ToString("ddd dd.MMMM.yyyy")</p>
    <p>calstart @ViewBag.CalStart.ToString("ddd dd.MMMM.yyyy")</p>*@
@* neid kahte vaatame hiljem, need on et saaks kalendris liikuda *@
@*@Html.ActionLink("Eelmine", "Index", new
{
    month = (ViewBag.Month == 1 ? 12 : (ViewBag.Month - 1)),
    year = (ViewBag.Month == 1 ? (ViewBag.Year - 1) : ViewBag.Year)
})
@Html.ActionLink("Järgmine", "Index", new
{
    month = (ViewBag.Month == 12 ? 1 : (ViewBag.Month + 1)),
    year = (ViewBag.Month == 12 ? (ViewBag.Year + 1) : ViewBag.Year)
})*@

@*<h3>Aasta@ViewBag.Year</h3>*@

@*@{
    DateTime astart = new DateTime(ViewBag.Year, 1, 1);
    DateTime aend = new DateTime(ViewBag.Year, 12, 31);

}*@
    @*<table class="table table-bordered">
        <thead>
            <tr>
                <td class="col-lg-2">Puhkus</td>
                @for (int n = 1; n < 13; n++)
                {
                    <th class="col-lg-1">@(new DateTime(2000, n, 1).ToString("MMMM"))</th>
                }
                <td class="col-lg-1">Jaanuar</td>
                <td class="col-lg-1">Veebruar</td>
                <td class="col-lg-1">Märts</td>
                <td class="col-lg-1">Aprill</td>
                <td class="col-lg-1">Mai</td>
                <td class="col-lg-1">Juuni</td>
                <td class="col-lg-1">Juuli</td>
                <td class="col-lg-1">August</td>
                <td class="col-lg-1">Septeber</td>
                <td class="col-lg-1">Oktoober</td>
                <td class="col-lg-1">November</td>
                <td class="col-lg-1">Detsember</td>
            </tr>
        </thead>*@

        @* tabeli pea on valmis - nüüd käime läbi kõik taskid (tegelikult tuleks leida*@
        @* need taskid, mis kuidagi selle aastaga on seotud, aga las ta olla *@
    @*<tbody>
        @foreach (Vacation vacation in ViewBag.Vacations)
        {
        <tr>
            <td>
                <p>
                    @vacation.DisplayName
                </p>
            </td>
        </tr>

        }
        </tbody>
        </table>*@
